summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-30 11:55:48 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-30 11:55:48 +0200
commit0d9399f1efe69864f3295ada6325b14d953149c2 (patch)
tree492dcb4562dd2523af590ee2733f9b22dccfbd7e /t
parent9f325eea27e41d868fbe020fe4034bec3c758fb0 (diff)
parentd3b8ad219907393ac062537fd9f42609c3d6538a (diff)
downloadautomake-0d9399f1efe69864f3295ada6325b14d953149c2.tar.gz
Merge branch 'micro' into maint
* micro: NEWS: document recent testsuite fixes (MinGW/MSYS related) depcomp: avoid trailing backslash in depfile for depmode=msvc7 tests: prune some weed in a non-POSIX test tests: avoid a spurious failure on MSYS
Diffstat (limited to 't')
-rw-r--r--t/cxx-demo.sh3
-rw-r--r--t/distcheck-pr10470.sh6
2 files changed, 5 insertions, 4 deletions
diff --git a/t/cxx-demo.sh b/t/cxx-demo.sh
index f6d568d78..f872c43e2 100644
--- a/t/cxx-demo.sh
+++ b/t/cxx-demo.sh
@@ -165,7 +165,8 @@ END
Good morning, work.
END
for p in play work; do
- ./$p > got.$p || { cat got.$p; exit 1; }
+ # Strip CR characters catering to MinGW programs on MSYS.
+ ./$p | tr -d '\015' > got.$p || { cat got.$p; exit 1; }
cat exp.$p
cat got.$p
diff exp.$p got.$p
diff --git a/t/distcheck-pr10470.sh b/t/distcheck-pr10470.sh
index f6cb1601e..a2781dfa2 100644
--- a/t/distcheck-pr10470.sh
+++ b/t/distcheck-pr10470.sh
@@ -45,13 +45,13 @@ chmod a+x foo.test
$ACLOCAL
$AUTOCONF
-$AUTOMAKE
+$AUTOMAKE -a
./configure
# We can build the distribution.
-run_make -M -e FAIL distcheck
+run_make -M distcheck
# Sanity check: verify that our code has hit a problem removing
# the distdir, but has recovered from it.
-grep "rm:.*$destdir" output || fatal_ "expected code path not covered"
+$EGREP "(^| )(rm|find):.*$distdir" output || fatal_ "expected code path not covered"
: